🚀 go-pugleaf

RetroBBS NetNews Server

Inspired by RockSolid Light RIP Retro Guy

Article View: comp.mail.misc
Article #2535

Re: Which headers may Sendmail re-write?

#2535
From: karl_kleinpaste
Date: Fri, 28 Dec 1990 04:17
26 lines
1372 bytes
chip@tct.uucp writes:
   >The real question is whether information is lost.  The answer to that
   >question based on RFC 1123 is NO (there used to be one exception).

   I agree that it is usually possible to determine the original RFC822
   address given only a bang path a la RFC976.  Information loss is not
   the only issue, however.  In the address "bang!path!dom.ain!user", the
   _added_ information ("bang!path") is the problem, because it is very
   often an incomplete, pessimal or unreliable route.

So ignore the bang!path portion.  My users never even see that part,
because of this, in sendmail.cf:

S3
...
#
# Strip many-hop !-paths to the right-most FQDN; DARR.
#
R$*.$*!$*@$*		$1.$2!$3		lose @-portion
R$*!$*.$*!$*		$2.$3!$4		strip excess left-hand
R$*.$*!$*		$3@$1.$2		invert to @-format

This converts bang!path!dom.ain!user to user@dom.ain, that is, it
undoes an RFC976 conversion.

--karl
Technical Details
Message-ID: <KARL.90Dec27231725@giza.cis.ohio-state.edu>
Path: arc1-ca.pugleaf.net!utzoo!utgpu!news-server.csri.toronto.edu!rutgers!att!tut.cis.ohio-state.edu!cis.ohio-state.edu!karl_kleinpaste
References: <277A64CD.4C4B@tct.uucp>

Show Full Headers
Complete Article Headers
Path: arc1-ca.pugleaf.net!utzoo!utgpu!news-server.csri.toronto.edu!rutgers!att!tut.cis.ohio-state.edu!cis.ohio-state.edu!karl_kleinpaste
From: karl_kleinpaste@cis.ohio-state.edu
Newsgroups: comp.mail.misc
Subject: Re: Which headers may Sendmail re-write?
Message-ID: <KARL.90Dec27231725@giza.cis.ohio-state.edu>
Date: 28 Dec 90 04:17:25 GMT
References: <277A64CD.4C4B@tct.uucp>
Sender: news@tut.cis.ohio-state.edu
Organization: OSU
Lines: 26